<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="GTFS" Version="3.0.0-pre006" />
        <PackageReference Include="GtfsRealtimeBindings" Version="0.0.4" />
        <PackageReference Include="Hangfire" Version="1.8.6" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.13"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.13" />
        <PackageReference Include="protobuf-net" Version="2.4.0" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0"/>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\TransitTactician.Business\TransitTactician.Business.csproj" />
      <ProjectReference Include="..\TransitTactician.Repositories\TransitTactician.Repositories.csproj" />
    </ItemGroup>

</Project>
